Skip to content

List all enrollment authenticators for a device

Request

Early AccessIdentity Engine
OAuth 2.0 scope:
  • okta.devices.read

Lists all enrollment authenticators for a device by deviceId

Path
deviceIdstringrequired

id of the device

Example:guo4a5u7JHHhjXrMK0g4
GET
/api/v1/devices/{deviceId}/authenticator-enrollments
curl -i -X GET \
  https://subdomain.okta.com/api/v1/devices/guo4a5u7JHHhjXrMK0g4/authenticator-enrollments

Responses

Success

Bodyapplication/json
Array [
createdstring, (date-time)read-onlyrequired

Timestamp when the enrollment authenticator was created

Example:"2026-04-10T10:15:00.000Z"
idstringread-onlyrequired

The unique identifier of the enrollment authenticator

Example:"pfd2abc4XyzBNkjh10g6"
keystringrequired

The authenticator key. For example: okta_verify.

Example:"okta_verify"
lastUpdatedstring, (date-time)read-onlyrequired

Timestamp when the enrollment authenticator was last updated

Example:"2026-04-10T10:15:00.000Z"
lastVerifiedstring, (date-time)read-only

Timestamp when the enrollment authenticator was last verified

Example:"2026-04-10T10:15:00.000Z"
namestringrequired

The authenticator display name

Example:"Okta Verify"
nicknamestring

A user-friendly name for the enrollment authenticator

Example:""
profileobject(DeviceEnrollmentAuthenticatorProfile)
statusstringrequired

Status of the enrollment

Enum ValueDescription
ACTIVE

The enrollment is active

INACTIVE

The enrollment is inactive

SUSPENDED

The enrollment is suspended

PENDING_ACTIVATION

The enrollment is pending activation

Example:"ACTIVE"
typestring(AuthenticatorType)required

The type of authenticator

Enum:"app""email""federated""password""phone""security_key""security_question""tac"
]
Response
[ { "id": "pfd2abc4XyzBNkjh10g6", "type": "app", "key": "okta_verify", "name": "Okta Verify", "status": "ACTIVE", "profile": {}, "created": "2026-04-10T10:15:00.000Z", "lastUpdated": "2026-04-10T10:15:00.000Z", "nickname": "", "_links": {} } ]